org.apache.solr.response

## Class DocsStreamer

- java.lang.Object
- - org.apache.solr.response.DocsStreamer

- All Implemented Interfaces:
    Iterator<SolrDocument>

      public class DocsStreamer
      extends Object
      implements Iterator<SolrDocument>

  This streams SolrDocuments from a DocList and applies transformer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<Class>` | `KNOWN_TYPES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocsStreamer(ResultContext rctx)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `currentIndex()`
    `static SolrDocument` | `getDoc(Document doc, IndexSchema schema)`
    `static Object` | `getValue(SchemaField sf, IndexableField f)`
    `boolean` | `hasNext()`
    `SolrDocument` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### KNOWN_TYPES

          public static final Set<Class> KNOWN_TYPES

  - ### Constructor Detail

    - #### DocsStreamer

          public DocsStreamer(ResultContext rctx)

  - ### Method Detail

    - #### currentIndex

          public int currentIndex()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<SolrDocument>`

    - #### next

          public SolrDocument next()

      Specified by:
        `next` in interface `Iterator<SolrDocument>`

    - #### getDoc

          public static SolrDocument getDoc(Document doc,
                                            IndexSchema schema)

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<SolrDocument>`

    - #### getValue

          public static Object getValue(SchemaField sf,
                                        IndexableField f)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.